# xmlpp::SaxParser::Attribute Struct Reference

Simple structure used in the start_element callback, in which the attributes are a list of name/value pairs. More...

List of all members.

## Public Member Functions
| Attribute (Glib::ustring const &name, Glib::ustring const &value)
## Public Attributes
Glib::ustring | name
Glib::ustring | value

## Detailed Description

Simple structure used in the start_element callback, in which the attributes are a list of name/value pairs.

## Constructor & Destructor Documentation

xmlpp::SaxParser::Attribute::Attribute | ( | Glib::ustring const & | name,
|  | Glib::ustring const & | value |
| ) |  |  | `[inline]`

## Member Data Documentation

Glib::ustring xmlpp::SaxParser::Attribute::name

Referenced by xmlpp::SaxParser::AttributeHasName::operator()().

Glib::ustring xmlpp::SaxParser::Attribute::value

The documentation for this struct was generated from the following file:

- saxparser.h